petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscDrawStringBoxed

Draws a string with a box around it

### Synopsis

    #include "petscdraw.h"
    PetscErrorCode  PetscDrawStringBoxed(PetscDraw draw,PetscReal sxl,PetscReal syl,int sc,int bc,const char text[],PetscReal *w,PetscReal *h)

Not Collective Many br

### Input Parameters

| draw | - the drawing context Many br
| sxl | - the coordinates of center of the box Many br
| syl | - the coordinates of top line of box Many br
| sc | - the color of the text Many br
| bc | - the color of the bounding box Many br
| text | - the text to draw Many br

### Output Parameter

w,h -width and height of resulting box (optional) Many br

Many br

### See Also

PetscDrawStringVertical(), PetscDrawStringBoxedSize(), PetscDrawString(), PetscDrawStringCentered()

Level:beginner
Location:src/sys/classes/draw/interface/dtext.c
Index of all Draw routines
Table of Contents for all manual pages
Index of all manual pages